package org.springblade.modules.jgInfo.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.jgInfo.entity.JgInfoEntity;
import org.springblade.modules.jgInfo.excel.JgInfoExcel;
import org.springblade.modules.jgInfo.mapper.JgInfoMapper;
import org.springblade.modules.jgInfo.service.IJgInfoService;
import org.springblade.modules.jgInfo.vo.*;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 警格 服务实现类
 *
 * @author BladeX
 * @since 2023-11-06
 */
@Service
public class JgInfoServiceImpl extends BaseServiceImpl<JgInfoMapper, JgInfoEntity> implements IJgInfoService {
	@Override
	public List<JgInfoExcel> exportjgInfo(Wrapper<JgInfoEntity> queryWrapper) {
		List<JgInfoExcel> jgInfoList = baseMapper.exportjgInfo(queryWrapper);
		//jgInfoList.forEach(jgInfo -> {
		//	jgInfo.setTypeName(DictCache.getValue(DictEnum.YES_NO, jgInfo.getType()));
		//});
		return jgInfoList;
	}

	@Override
	public List<FjVO> getFjList(Map<String, Object> params) {
		return baseMapper.getFjList(params);
	}

	@Override
	public List<PcsVO> getPcsList(Map<String, Object> params) {
		return baseMapper.getPcsList(params);
	}

	@Override
	public List<SqVO> getSqList(Map<String, Object> params) {
		return baseMapper.getSqList(params);
	}

	@Override
	public List<JgVO> getJgList(Map<String, Object> params) {
		return baseMapper.getJgList(params);
	}

	@Override
	public List<JyVO> getJyList(Map<String, Object> params) {
		return baseMapper.getJyList(params);
	}

	@Override
	public List<String> getJgByJh(String jh) {
		return baseMapper.getJgByJh(jh);
	}
}
